import os
from setuptools import setup, find_packages

VERSION = os.path.join(os.path.dirname(__file__), 'VERSION')
VERSION = open(VERSION, 'r').read().strip()

setup(
    name='grano-opencorporates',
    version=VERSION,
    description="OpenCorporates.com linkage service for grano.",
    long_description=open('README.rst').read(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        ],
    keywords='sna networks journalism ddj entities companies',
    author='Friedrich Lindenberg',
    author_email='friedrich@pudo.org',
    url='https://github.com/granoproject/grano-opencorporates',
    license='MIT',
    packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
    namespace_packages=[],
    include_package_data=False,
    zip_safe=False,
    install_requires=[
        'requests>=2.0',
        'dataset>=0.5.1'
    ],
    entry_points={
        'grano.entity.change': [
            'opencorporates = opencorporates:OpenCorporatesCanonicalizer'
        ]
    },
    tests_require=[]
)
